Added

Custom APRs and Tier Schedules added

Release Date

Feb 24, 2025

Products Affected

Financial Accounts and Loan Tape API

Impact

Custom APR values and Tier Schedules added

Audience

Revolving Credit Customers

Action Required

Customers should migrate to use Tier Schedules for new feature support

Overview

For customers using Lithic's Ledger for Revolving Credit, Lithic is now allowing APR interest rates to be set directly on individual Financial Accounts

As part of this change, Lithic will be tracking APR interest rate changes as a function of Loan Tape date. We will now have a schedule of all APR tier changes.

Please note that if your Credit Product was created before February 2, 2026, you will need to have your credit_product migrated to use this functionality. Reach out to Lithic implementations and we will migrate.

Details

Lithic is moving from a static tier field for a given financial_account, to a schedule where a customer’s tier is now dependent on the point in time we are evaluating the account’s current tier. tier is now indexed off of date.

The new loan_tape_configuration and interest_tier_schedule objects replace the previous static tiers.

  • The loan_tape_configuration stores the credit_product_token and details around the most recent loan tape build
  • Updating the loan_tape_configuration will be the new method by which customers update the tier, or custom APR.

New Endpoints

The new endpoints are as follows for loan_tape_configuration

Get Active Loan Tape Configuration

Retrieves the active loan tape configuration for a specific financial account.

Endpoint:  Get Loan Tape Configuration

Path Parameters

ParameterTypeRequiredDescription
financial_account_tokenstring (uuid)YesThe unique identifier for the financial account

Example Request

GET /financial_accounts/8d8e7890-8536-51ef-055c-f18gd2g01bf8/loan_tape_configuration

Success Response (200 OK)

{
  "instance_token": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
  "financial_account_token": "8d8e7890-8536-51ef-055c-f18gd2g01bf8",
  "credit_product_token": "test_token",
  "loan_tape_rebuild_config": {
    "requires_rebuild": false,
    "rebuild_from": "2024-01-15",
    "last_rebuild": "2024-01-15"
  },
  "tier_schedule_changed_at": "2024-01-10T14T14:30:00Z",
  "created_at": "2024-01-10T14:30:00Z",
  "updated_at": "2024-01-10T14:30:00Z"
}

Tier Schedule Management

The new endpoints are as follows for interest_tier_schedule

Create Interest Tier Schedule

Creates a new tier within the tier schedule for a financial account, using either a pre-configured tier (tier_name) or setting the APRs yourself (tier_rates).

Note that tier_name XOR tier_rates must be set. Both cannot be set in the Request.

Endpoint:  Create Interest Tier Schedule

Path Parameters

ParameterTypeRequiredDescription
financial_account_tokenstring (uuid)YesThe unique identifier for the financial account

Request Body

{
  "tier_name": "standard",
  "effective_date": "2024-01-15",
  "credit_product_token": "test_token",
  "tier_rates": {
    "purchase": {
      "rate": "0.0599",
      "cap_rate": "0.06"
    },
    "cash_advance": {
      "rate": "0.2499",
      "cap_rate": "0.28"
    },
    "balance_transfer": {
      "rate": "0.0399",
      "cap_rate": "0.06"
    }
  }
}

Success Response (200 OK)

{
  "tier_name": "standard",
  "effective_date": "2024-01-15",
  "credit_product_token": "test_token",
  "tier_rates": {
    "purchase": {
      "rate": "0.0599",
      "cap_rate": "0.06"
    },
    "cash_advance": {
      "rate": "0.2499",
      "cap_rate": "0.28"
    },
    "balance_transfer": {
      "rate": "0.0399",
      "cap_rate": "0.06"
    }
  }
}

List Interest Tier Schedule

Retrieves interest tier schedule for a financial account. Can be filtered by date ranges to get active tier.

Endpoint:  List Interest Tier Schedule

Path Parameters

ParameterTypeRequiredDescription
financial_account_tokenstring (uuid)YesThe unique identifier for the financial account

Query Parameters

ParameterTypeRequiredDescription
for_datestring (date)NoThe effective date of the tier schedule to return (YYYY-MM-DD format)
before_datestring (date)NoThe maximum (latest) day to return tier_schedules for (YYYY-MM-DD format)
after_datestring (date)NoThe minimum (earliest) day to return tier_schedules for (YYYY-MM-DD format)

Example Request

GET /financial_accounts/8d8e7890-8536-51ef-055c-f18gd2g01bf8/loan_tape_configuration/tier_schedule?for_date=2024-01-15

Success Response (200 OK)

{
  "data": [
    {
      "tier_name": "standard",
      "credit_product_token": "test_token",
      "tier_rates": {
        "purchase": {
          "rate": "0.0599",
          "cap_rate": "0.06"
        },
        "cash_advance": {
          "rate": "0.2499",
          "cap_rate": "0.28"
        },
        "balance_transfer": {
          "rate": "0.0399",
          "cap_rate": "0.06"
        }
      },
      "effective_date": "2024-01-15"
    }
  ],
  "has_more": false
}

Update Interest Tier Schedule

Updates an existing Interest Tier Schedule for a specific date. This is also the means by which customers can retroactively change interest rates.

Endpoint: Update Interest Tier Schedule

Path Parameters

ParameterTypeRequiredDescription
financial_account_tokenstring (uuid)YesThe unique identifier for the financial account
effective_datestringYesThe effective date of the tier schedule (YYYY-MM-DD format)

Request Body

{
  "tier_name": "standard",
  "tier_rates": {
    "purchase": {
      "rate": "0.0549",
      "cap_rate": "0.06"
    },
    "cash_advance": {
      "rate": "0.2399",
      "cap_rate": "0.28"
    },
    "balance_transfer": {
      "rate": "0.0349",
      "cap_rate": "0.06"
    }
  }
}

Success Response (200 OK)

{
  "tier_name": "standard",
  "effective_date": "2024-01-15",
  "credit_product_token": "test_token",
  "tier_rates": {
    "purchase": {
      "rate": "0.0549",
      "cap_rate": "0.06"
    },
    "cash_advance": {
      "rate": "0.2399",
      "cap_rate": "0.28"
    },
    "balance_transfer": {
      "rate": "0.0349",
      "cap_rate": "0.06"
    }
  }
}

Delete Interest Tier Schedule

Deletes a specific tier schedule configuration for a given date.

Endpoint:  Delete Interest Tier Schedule

Path Parameters

ParameterTypeRequiredDescription
financial_account_tokenstring (uuid)YesThe unique identifier for the financial account
effective_datestringYesThe effective date of the tier schedule (YYYY-MM-DD format)

Example Request

DELETE /financial_accounts/8d8e7890-8536-51ef-055c-f18gd2g01bf8/loan_tape_configuration/tier_schedule/2024-01-15

Success Response (204 No Content)

No response body is returned for a successful deletion.



Release Timeline

Available now: February 24, 2026.

User Impact

This change is additive only. Customers whose Credit Product was created before February 24, 2026, will need to have their credit_product migrated to use this functionality. Reach out to Lithic implementations and we will facilitate your migration.

Learn more about Statements and Loan Tape APIs via our API Reference

If you have any questions or concerns, please contact us via the HELP link in your Lithic Dashboard.


The Lithic changelog has an RSS feed! To monitor for new update announcements, subscribe with your preferred RSS reader.